# List document templates

URL: /en/docs/api/v1/documents/templates/get
Last Updated: 2026-07-30T21:15:30.073Z

## Description
No description available.

## Available Actions
- Execute GET request
- View request parameters
- View response schema
- Get code examples
- Navigate to related topics
- View step-by-step instructions
- Get best practices

## Content
### GET /api/v1/documents/templates

**List document templates**

Retrieve available document templates excluding compliance/certification templates, with search and category filtering capabilities.

**Authentication:** Bearer token (`Authorization: Bearer <token>`)

**Query parameters:**

| Name | Type | Required | Description |
|---|---|---|---|
| `q` | string | No | Search templates by title or description |
| `category` | string | No | Filter by category UUIDs (comma-separated) |

**Responses:**

- `200` - List of available document templates
  - `templates` (array of DocumentTemplateItem (object), required)
    - `id` (string (uuid)): Unique template identifier
    - `title` (string): Template title
    - `description` (string): Template description
    - `description_markdown` (string): Markdown-formatted description
    - `category` (object)
      - `id` (string (uuid)): Category identifier
      - `title` (string): Category name
      - `icon` (string): Icon name for the category (e.g., lucide icon name)
      - `translations` (array of CategoryTranslation (object)): Available localized labels for the category
        - `locale` (string, required): Normalized locale/language code (e.g., de, fr)
        - `title` (string, required): Localized category title
        - `description` (string): Localized category description if provided
    - `access_level` (enum: public | restricted | requires_nda | internal): Default access level for documents created from this template
    - `validity_months` (integer): Default validity period in months
    - `badge` (string): URL to template badge image
  - `categories` (array of TemplateCategory (object), required): Available categories for filtering
    - `id` (string (uuid)): Category identifier
    - `title` (string): Category name
    - `icon` (string): Icon name for the category (e.g., lucide icon name)
    - `translations` (array of CategoryTranslation (object)): Available localized labels for the category
      - `locale` (string, required): Normalized locale/language code (e.g., de, fr)
      - `title` (string, required): Localized category title
      - `description` (string): Localized category description if provided
  - `googleDocsIntegration` (object): Active Google Docs integration metadata for template imports.
    - `id` (string, required): Integration record identifier
    - `connection` (string, required): Integration connection identifier
    - `integration` (string, required): Integration provider key (for example, confluence)
  - `notionIntegration` (object): Active Notion integration metadata for template imports.
    - `id` (string, required): Integration record identifier
    - `connection` (string, required): Integration connection identifier
    - `integration` (string, required): Integration provider key (for example, confluence)
  - `confluenceIntegration` (object): Active Confluence integration metadata for template imports.
    - `id` (string, required): Integration record identifier
    - `connection` (string, required): Integration connection identifier
    - `integration` (string, required): Integration provider key (for example, confluence)

  Example (Successful response):
  
  ```json
  {
  "templates": [
    {
      "id": "template-123",
      "title": "Privacy Policy Template",
      "description": "Standard privacy policy template for GDPR compliance",
      "category": {
        "id": "cat-legal",
        "title": "Legal",
        "icon": "gavel",
        "translations": [
          {
            "locale": "de",
            "title": "Legal"
          }
        ]
      },
      "access_level": "public",
      "validity_months": 12,
      "badge": "https://directus.example.com/assets/badge-456"
    }
  ],
  "categories": [
    {
      "id": "cat-legal",
      "title": "Legal",
      "icon": "gavel",
      "translations": [
        {
          "locale": "de",
          "title": "Legal"
        }
      ]
    },
    {
      "id": "cat-technical",
      "title": "Technical",
      "icon": "cpu",
      "translations": [
        {
          "locale": "de",
          "title": "Technical"
        }
      ]
    }
  ],
  "confluenceIntegration": {
    "id": "integration-123",
    "connection": "conn-abc",
    "integration": "confluence"
  }
}
  ```
- `401` - Unauthorized
- `500` - Internal server error - Failed to fetch document templates

**Code samples:**

cURL:

```bash
curl -X GET "https://app.orbiqhq.com/api/v1/documents/templates" \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json"
```

